Recent earthquakes worldwide

Latest earthquakes worldwide in a period, above a minimum magnitude, newest first.

Request

GEThttps://earthquakes.p.apihiver.com/v1/recent?limit=3
String. hour, day, week or month (default day).
String. all, 1.0, 2.5, 4.5 or significant (default 2.5).
Number. Maximum number of results (1–500, default 50).
Language
Client
1curl --request GET \
2  --url 'https://earthquakes.p.apihiver.com/v1/recent?period=%7Bperiod%7D&min_magnitude=%7Bmin_magnitude%7D&limit=3' \
3  --header 'Accept: application/json' \
4  --header 'X-API-Key: YOUR_API_KEY'

Recent earthquakes worldwide: Earthquake API reference

Latest earthquakes worldwide in a period, above a minimum magnitude, newest first. This endpoint is part of the Earthquake API: Real-time earthquakes worldwide from the USGS: recent quakes, quakes near a location, historical search and event details.

Example response (200, application/json)

Success.

1{
2  "count": 3,
3  "period": "day",
4  "source": "USGS",
5  "earthquakes": [
6    {
7      "id": "us6000txuc",
8      "lat": -48.5563,
9      "lon": 31.1369,
10      "url": "https://earthquake.usgs.gov/earthquakes/eventpage/us6000txuc",
11      "time": "2026-09-26T17:50:20.706000+00:00",
12      "place": "south of Africa",
13      "depth_km": 10,
14      "magnitude": 4.6,
15      "alert_level": null,
16      "felt_reports": null,
17      "tsunami_warning": false
18    },
19    {
20      "id": "us6000txu6",
21      "lat": 14.2226,
22      "lon": -93.4109,
23      "url": "https://earthquake.usgs.gov/earthquakes/eventpage/us6000txu6",
24      "time": "2026-09-26T17:30:17.140000+00:00",
25      "place": "120 km WSW of Puerto Madero, Mexico",
26      "depth_km": 10,
27      "magnitude": 4.2,
28      "alert_level": null,
29      "felt_reports": null,
30      "tsunami_warning": false
31    },
32    {
33      "id": "us6000txu2",
34      "lat": 51.1579,
35      "lon": 179.7488,
36      "url": "https://earthquake.usgs.gov/earthquakes/eventpage/us6000txu2",
37      "time": "2026-09-26T17:02:01.063000+00:00",
38      "place": "263 km WSW of Adak, Alaska",
39      "depth_km": 17.601,
40      "magnitude": 4.4,
41      "alert_level": null,
42      "felt_reports": null,
43      "tsunami_warning": false
44    }
45  ],
46  "min_magnitude": "2.5"
47}

Errors

  • 400 — A required parameter is missing or a value has the wrong format.
    1{
    2  "error": {
    3    "code": "INVALID_INPUT",
    4    "message": "A parameter has the wrong format — the message names it."
    5  }
    6}

Gateway errors (missing key, no subscription, rate limits) are listed in Error codes.